Detach a cloud volume from a cloud instance

POST/v1/cloud_block_storage/volumes/{volume_id}/detach

If you want to detach a volume from an instance, make a POST request to the /v1/cloud_block_storage/volumes/{volume_id}/detach endpoint. Use the path parameter to specify a volume and a query parameter for the instance ID.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
volume_id
string

A unique identifier of a volume.

Request Body

FieldDetails
instance_id
string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/cloud_block_storage/volumes/K9b6nbEv/detach" \  -H "Content-Type: application/json" \  -d '{    "instance_id": "MYerEdOB"  }'
{  "id": "K9b6nbEv",  "openstack_uuid": "0b413c62-0ab5-45b6-9c3f-f5fab9dbf3e9",  "region_id": 0,  "region_code": "NL01",  "name": "name478",  "size": 1,  "status": "detaching",  "created_at": "2025-12-31T00:00:00Z",  "bootable": false,  "labels": {},  "attachments": [    {      "instance_id": "MYerEdOB",      "instance_name": "name479",      "device": "/dev/hdd0",      "id": "0b413c62-0ab5-45b6-9c3f-f5fab9dbf3e9"    }  ],  "description": "test volume"}